import express from "express";
import cors from "cors";
import ip from "ip";
import approutes from "./app.ts";
const app = express();
app.use(express.json());
app.use(approutes);
app.use(cors());
const port = process.env.PORT || 5004;
app.listen(port, () => {
  console.log(`Server is running in the port ${port}`);
  console.log(
    `Swagger docs available at http://${ip.address()}:${port}/api-docs`
  );
});
