import mongoose, { Schema, Document, model } from "mongoose";
import MainModel from "../../connect/mongoose.ts";

export interface Template extends Document {
  templateName: string;
  isArchive: boolean;
}
const templateSchema: Schema = new Schema(
  {
    templateName: { type: String },
    isArchive: { type: Boolean, default: false },
  },
  { timestamps: true }
);

const templateModel = (db: any) => {
  return MainModel(db, "Template", templateSchema, "Template");
};
export default templateModel;
